summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorSlavi Pantaleev2018-04-13 17:15:34 +0200
committerSlavi Pantaleev2018-04-13 17:15:34 +0200
commita41bab9ee158c4324663b08efeec36e9f4478157 (patch)
tree0144bb4d251bd2f1db7e5cf3bd114a9f25e7ca50 /PKGBUILD
downloadaur-a41bab9ee158c4324663b08efeec36e9f4478157.tar.gz
Initial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6df7f2bec4d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Slavi Pantaleev <slavi at devture.com>
+
+pkgname=infonotary-client-software
+pkgver=2.0.3
+pkgrel=1
+pkgdesc="InfoNotary client software - InfoNotary e-Doc Signer and InfoNotary Smart Card Manager."
+arch=('i686' 'x86_64')
+url="http://www.infonotary.com/"
+license=('unknown')
+depends=(qt5-base nss openssl)
+replaces=(infonotary-scardmanager)
+conflicts=(infonotary-scardmanager)
+optdepends=(
+ 'ccid: generic USB Chip/Smart Card Interface Devices driver'
+ 'omnikey_ifdokccid-git: driver for OmniKey smart card readers'
+ 'bit4id-ipki: driver for T&S DS/2048 (L) smart cards'
+ 'pcsclite: smartcard middleware library (pcscd)'
+ 'pcsc-tools: smartcard tools (pcsc_scan)'
+ 'opensc: a set of libraries and utilities to work with smart cards'
+)
+install=$pkgname.install
+
+if [ "${CARCH}" = 'x86_64' ]; then
+ ARCH='amd64'
+ md5sums=('861abc574ce689e6c9c9a4007da70d94')
+else
+ ARCH='i386'
+ md5sums=('942dc34d3b023696ccfde0a7e27a9dd5')
+fi
+
+_file_name=$pkgname'_'$pkgver'.845_'$ARCH'.deb'
+source=('http://repository.infonotary.com/install/linux/DEBS/pool/non-free/i/infonotary-client-software/'$_file_name)
+
+package() {
+ ar -xv $_file_name || return 1
+ tar -xvf data.tar.[xg]z -C $pkgdir || return 1
+}